Description

Voici le scenario effectué dans le test SVS-0012

0- Reset de LFR

1- Synchronisation de LFR sur reception d'une TC_LFR_UPDATE_TIME + time code compatible (6bits of least bytes of coarse time
2- Send during 60s a time code valid

--> Ce que | on observe

14:00:30.509906, TM_LFR_HK, TIME=0x8000000431ad, HK_LFR_DPU_SPW_TICK_OUT_CNT=0,
HK_LFR_DPU_SPW_LAST_TIMC=0, HK_LFR_TIME_TIMECODE_CTR=0

14:00:31.461884, TC_LFR_UPDATE_TIME, CP_RPW_TIME=0x5447c6010000

14:00:31.509805, TM_LFR_HK, TIME=0x8000000531ad, HK_LFR_DPU_SPW_TICK_OUT_CNT=0,
HK_LFR_DPU_SPW_LAST_TIMC=0, HK_LFR_TIME_TIMECODE_CTR=0

14:00:32.509786, TM_LFR_HK, TIME=0x5447c601bd68, HK_LFR_DPU_SPW_TICK_OUT_CNT=1,
HK_LFR_DPU_SPW_LAST_TIMC=1, HK_LFR_TIME_TIMECODE_CTR=0

14:00:33.509884, TM_LFR_HK, TIME=0x5447c602ba29, HK_LFR_DPU_SPW_TICK_OUT_CNT=2,
HK_LFR_DPU_SPW_LAST_TIMC=2, HK_LFR_TIME_TIMECODE_CTR=1

Cette derniere ligne correspond a I'envoi de time-code sans la TC_LFR_UPDATE_TIME.

On voit que le soft a positionné HK_LFR_TIME_TIMECODE_CTR a 1 car le temps demandé(CP_RPW_TIME) dans
TC_LFR_UPDATE_TIME = 0x5447c6010000

ne correspond pas au time-code = 2.

Il faut donc documenter ce point concernant le compteur HK_LFR_TIME_TIMECODE_CTR. Paul utilise le registre coarse_time_load
qui contient la valeur du CP_RPW_TIME de la TC_LFR_UPDATE_TIME.

Related issues:
Related to Bug #490: [JIRA] (RPWMEB-495) LFR doesn't detect the TIME_TIMECODE... Closed 09/09/2015

History

#1 - 20/10/2015 02:40 PM - Veronique bouzid
Le script utilisé est /opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0012/my_ccsds_time_code_format.py

les fichiers 2015_10_20-14_03_40*) (se trouvent dans /home/validation/data/R3/3.0.0.10/1.1.89/SVS-0012/step1

Contexte du test

FSW 3.0.0.10

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

#2 - 20/10/2015 02:42 PM - Veronique bouzid

- Description updated

#3 - 02/11/2015 11:18 AM - bruno katra

- Status changed from New to Closed

cloture : voir #490
